using Brizco.Domain.Entities.Shifts;

namespace Brizco.Domain.Entities.Routines;

public partial class Routine
{
    public static Routine Create(string name, string description, Guid complexId)
    {
        return new Routine(name, description, complexId);
    }

    public ShiftRoutine AddShift(Guid shiftId)
    {
        var shift = new ShiftRoutine(this.Id, shiftId);
        this.Shifts.Add(shift);
        return shift;
    }
}